# fn() zscore
Computes the z-score index for a set of patterns w.r.t. a set of text strings and a MarkovModel.

Defined in | <seqan/statistics.h>
Signature | `TFloat zscore(W, X, M, algoTag);`

## Parameters

`W` | The StringSet of pattern strings.
`X` | The StringSet of text strings.
`M` | The MarkovModel object.
`algoTag` | The algorithm to exploit to compute the number of occurrences of patterns in the text strings (see AhoCorasickPattern etc.).

## Return Values

`TFloat` | The z-score for W w.r.t. X and M, TFloat is the TFloat from the type of M.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn zscore
     *
     * @headerfile <seqan/statistics.h>
     *
     * @brief Computes the z-score index for a set of patterns w.r.t. a set of text
     *        strings and a MarkovModel.
     *
     * @signature TFloat zscore(W, X, M, algoTag);
     *
     * @param[in] W The StringSet of pattern strings.
     * @param[in] X The StringSet of text strings.
     * @param[in] M The MarkovModel object.
     * @param[in] algoTag The algorithm to exploit to compute the number of
     *                    occurrences of patterns in the text strings (see @link
     *                    AhoCorasickPattern @endlink etc.).
     *
     * @return TFloat The z-score for W w.r.t. X and M, TFloat is the TFloat from
     *                the type of M.
     */